<div class="container jumbotron ">

  <button type="button" (click)="concurs=true">Create contest</button>

  <div *ngIf="concurs">
    <div class="p-col-12 p-md-4">
      <h5>Date from which contest is active </h5>
      <p-calendar [(ngModel)]="date1"></p-calendar>
    </div>  
    <div class="p-col-12 p-md-4">
      <h5>Date until advising is over </h5>
      <p-calendar [(ngModel)]="date2"></p-calendar>
    </div>  
    <div class="p-col-12 p-md-4">
      <h5>Final date until submissions are allowed </h5>
      <p-calendar [(ngModel)]="date3"></p-calendar>
    </div>  
    <div class="p-col-12 p-md-4">
      <h5>Date for shoutout of results</h5>
      <p-calendar [(ngModel)]="date4"></p-calendar>
    </div>  
    <div class="p-col-12 p-md-4">
      <h5>Deadline of signing contracts </h5>
      <p-calendar [(ngModel)]="date5"></p-calendar>
    </div>  

    <div>
      <h1>Implementation time
      </h1>
    <div class="p-col-12 p-md-4">
      <h5>Start </h5>
      <p-calendar [(ngModel)]="date6"></p-calendar>
    </div>  
    <div class="p-col-12 p-md-4">
      <h5>Finish </h5>
      <p-calendar [(ngModel)]="date7"></p-calendar>
    </div>  
  </div>

  <div class="p-col-12 p-md-4">
    <h5>Limit for celebration </h5>
    <p-calendar [(ngModel)]="date8"></p-calendar>
  </div> 

  <button type="button" (click)="datesSelected=true">Finish</button>

  <div *ngFor="let item of array">
    <app-autoform 
      [date]="item"
    ></app-autoform>
  </div>
  <button type="button" (click)="onAdd()">Add Editable Field</button>

  </div>
</div>